FROM python:3.8-slim
RUN apt-get update
RUN apt-get install -y python3-tk

RUN adduser ase --disabled-password --gecos ""
RUN passwd --delete root
USER ase
WORKDIR /home/ase
ENV PATH /home/ase/.local/bin:$PATH

RUN pip install numpy==1.18.5 
RUN pip install scipy==1.4.1
RUN pip install matplotlib==3.3.4

#RUN pip install pytest==5.0.0 attrs==17.4.0 pluggy==0.12.0 py==1.5.1 
#six==1.10.0 pytest-xdist==1.22.1 execnet==1.4.1 pytest-forked==0.2

RUN pip install pytest==6.2.5 attrs==20.3.0 pluggy==1.0.0 py==1.11.0 six==1.15.0 pytest-xdist==2.1.0 execnet==1.8.1 pytest-forked==1.4.0
